Subject: Re: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: martin rudalics <[email-masked]>
Date: Tue, 14 Jun 2011 19:56:32 +0200

> I guess because pop-up-frames defaults to nil in Emacs 23.

Emacs 23 could pop up new frame provided the selected frame isn't
"usable".

 > But in the trunk, a default Emacs may now pop-up a frame if it thinks it
 > necessary.

I only tried to mimic Emacs 23 here.  So if the original frame cannot be
used it does try to pop up a new one.  Doesn't Emacs make an invisible
frame in batch mode?

Maybe the problem happens because I now load window.el _before_
files.el.  So in Emacs 23 files.el maybe tried to display a buffer but
failed silently.  What happens generally in batch mode when you call
`display-buffer', for example, during a backtrace?

martin